---
updatedAt: 2025-09-22T17:23:07.000Z
agentTools:
  projectIndex: https://developer.bitpay.com/llms.txt
---

# Retrieve Account Balances

Facades: `merchant`

## Response

<HTMLBlock>{`
<table class="table">
    <tbody>
    <tr>
      <th>Name</th>
      <th>Type</th>
    </tr>
    <tr>
      <td>
        <code>data</code>
        <div class="param-info">Array of objects indicating the balance for each currency</div>
      </td>
      <td>
        <code>array</code>
      </td>
    </tr>
    <tr>
      <td class="child">
        <code>currency</code>
        <div class="param-info">Ledger currency</div>
      </td>
      <td>
        <code>string</code>
      </td>
    </tr>
    <tr>
      <td class="child">
        <code>balance</code>
        <div class="param-info">Ledger balance in the corresponding currency</div>
      </td>
      <td>
        <code>number</code>
      </td>
    </tr>
  </tbody>
</table>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "test",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test.bitpay.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/ledgers": {
      "get": {
        "summary": "Retrieve Account Balances",
        "description": "Facades: `merchant`",
        "operationId": "retrieve-account-balances",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Must be set to `application/json` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "X-Accept-Version",
            "in": "header",
            "description": "Must be set to `2.0.0` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2.0.0"
            }
          },
          {
            "name": "X-Identity",
            "in": "header",
            "description": "The hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Signature",
            "in": "header",
            "description": "The ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "token",
            "in": "query",
            "description": "When fetching ledger entries, pass a merchant facade token as a URL parameter.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"data\": [\n    {\n      \"currency\": \"EUR\",\n      \"balance\": 0\n    },\n    {\n      \"currency\": \"USD\",\n      \"balance\": 2389.82\n    },\n    {\n      \"currency\": \"BTC\",\n      \"balance\": 0.000287\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "currency": {
                            "type": "string",
                            "example": "EUR"
                          },
                          "balance": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```